//+----------------------------------------------+
//|                     Copyright  2011, Evgeno |
//|                    http://fx500.ru/silverfox |
//+----------------------------------------------+
#property copyright "Copyright  2011, Evgeno"
#property link      "http://fx500.ru/silverfox"

void Error(int IND){
   string Err="  "+DoubleToStr(IND,0);
   if(IND==130) Err="  !";
   //Alert(Err);
   }
int GetHour(string Var){
   int Res=StrToDouble(StringSubstr(Var,0,2));
   return(Res);
   }
int GetMin(string Var){
   int Res=StrToDouble(StringSubstr(Var,3,2));
   return(Res);
   }
int Sells(){
   int Res=0;
   for(int i=OrdersTotal()-1;i>=0;i--){
      OrderSelect(i,SELECT_BY_POS);
      if(OrderType()==OP_SELL && OrderSymbol()==Symbol()) Res++;
      }
   return(Res);
   }
int Buys(){
   int Res=0;
   for(int i=OrdersTotal()-1;i>=0;i--){
      OrderSelect(i,SELECT_BY_POS);
      if(OrderType()==OP_BUY && OrderSymbol()==Symbol()) Res++;
      }
   return(Res);
   }
double StoimPunkt(string B){
   double S = MarketInfo(B,MODE_TICKVALUE)/(MarketInfo(B,MODE_TICKSIZE)/MarketInfo(B,MODE_POINT));
   return(S);
   }
void NewLine(int Type,double Price){
   
   for(int i=1;i<=LineLimit;i++){
      if(Type==1){
         if(Price>Ask){
            if(ObjectFind("__LineStop_UP"+DoubleToStr(i,0))==-1){
               ObjectCreate("__LineStop_UP"+DoubleToStr(i,0),OBJ_HLINE,0,0,0);
               ObjectSet("__LineStop_UP"+DoubleToStr(i,0),OBJPROP_PRICE1,Price);
               ObjectSet("__LineStop_UP"+DoubleToStr(i,0),OBJPROP_COLOR,CL_LineStop);
               ObjectSet("__LineStop_UP"+DoubleToStr(i,0),OBJPROP_WIDTH,1);
               ObjectSet("__LineStop_UP"+DoubleToStr(i,0),OBJPROP_STYLE,3);
               i=LineLimit+1;
               }
            }
         if(Price<Bid){
            if(ObjectFind("__LineStop_DN"+DoubleToStr(i,0))==-1){
               ObjectCreate("__LineStop_DN"+DoubleToStr(i,0),OBJ_HLINE,0,0,0);
               ObjectSet("__LineStop_DN"+DoubleToStr(i,0),OBJPROP_PRICE1,Price);
               ObjectSet("__LineStop_DN"+DoubleToStr(i,0),OBJPROP_COLOR,CL_LineStop);
               ObjectSet("__LineStop_DN"+DoubleToStr(i,0),OBJPROP_WIDTH,1);
               ObjectSet("__LineStop_DN"+DoubleToStr(i,0),OBJPROP_STYLE,3);
               i=LineLimit+1;
               }
            }
         }
      if(Type==2){
         if(Price>Ask){
            if(ObjectFind("__LineExit_UP"+DoubleToStr(i,0))==-1){
               ObjectCreate("__LineExit_UP"+DoubleToStr(i,0),OBJ_HLINE,0,0,0);
               ObjectSet("__LineExit_UP"+DoubleToStr(i,0),OBJPROP_PRICE1,Price);
               ObjectSet("__LineExit_UP"+DoubleToStr(i,0),OBJPROP_COLOR,CL_LineExit);
               ObjectSet("__LineExit_UP"+DoubleToStr(i,0),OBJPROP_WIDTH,1);
               ObjectSet("__LineExit_UP"+DoubleToStr(i,0),OBJPROP_STYLE,3);
               i=LineLimit+1;
               }
            }
         if(Price<Bid){
            if(ObjectFind("__LineExit_DN"+DoubleToStr(i,0))==-1){
               ObjectCreate("__LineExit_DN"+DoubleToStr(i,0),OBJ_HLINE,0,0,0);
               ObjectSet("__LineExit_DN"+DoubleToStr(i,0),OBJPROP_PRICE1,Price);
               ObjectSet("__LineExit_DN"+DoubleToStr(i,0),OBJPROP_COLOR,CL_LineExit);
               ObjectSet("__LineExit_DN"+DoubleToStr(i,0),OBJPROP_WIDTH,1);
               ObjectSet("__LineExit_DN"+DoubleToStr(i,0),OBJPROP_STYLE,3);
               i=LineLimit+1;
               }
            }
         }
      }
   if(UseSound==true) PlaySound(SND_Line);
   }
void DelLine(int Type){
   for(int i=1;i<=LineLimit;i++){
      if(Type==1){
         ObjectDelete("__LineStop_UP"+DoubleToStr(i,0));
         ObjectDelete("__LineStop_DN"+DoubleToStr(i,0));
         
         }
      if(Type==2){
         ObjectDelete("__LineExit_UP"+DoubleToStr(i,0));
         ObjectDelete("__LineExit_DN"+DoubleToStr(i,0));
         
         }
      }
   if(UseSound==true) PlaySound(SND_Line);
   }

void ReadPresets(){
   if(ObjectFind("P_Lots")!=-1) Lots=StrToDouble(ObjectDescription("P_Lots"));
   if(ObjectFind("P_Risk")!=-1) Lots=StrToInteger(ObjectDescription("P_Risk"));
   if(ObjectFind("P_TP")!=-1) Lots=StrToInteger(ObjectDescription("P_TP"));
   if(ObjectFind("P_SL")!=-1) Lots=StrToInteger(ObjectDescription("P_SL"));
   if(ObjectFind("P_Trall")!=-1) Lots=StrToInteger(ObjectDescription("P_Trall"));
   if(ObjectFind("P_Step")!=-1) Lots=StrToInteger(ObjectDescription("P_Step"));
   if(ObjectFind("P_XP")!=-1) Lots=StrToInteger(ObjectDescription("P_XP"));
   
   if(ObjectFind("P_Sound")!=-1){
      if(ObjectGet("P_Sound",OBJPROP_COLOR)==CL_FlagOn) UseSound=true;
      if(ObjectGet("P_Sound",OBJPROP_COLOR)==CL_FlagOff) UseSound=false;
      }
   if(ObjectFind("P_Block")!=-1){
      if(ObjectGet("P_Block",OBJPROP_COLOR)==CL_FlagOn) UseBlock=true;
      if(ObjectGet("P_Block",OBJPROP_COLOR)==CL_FlagOff) UseBlock=false;
      }
   if(ObjectFind("P_Masks")!=-1){
      if(ObjectGet("P_Masks",OBJPROP_COLOR)==CL_FlagOn) UseMasks=true;
      if(ObjectGet("P_Masks",OBJPROP_COLOR)==CL_FlagOff) UseMasks=false;
      }
   if(ObjectFind("P_Rev1")!=-1){
      if(ObjectGet("P_Rev1",OBJPROP_COLOR)==CL_FlagOn) Reverse=true;
      if(ObjectGet("P_Rev1",OBJPROP_COLOR)==CL_FlagOff) Reverse=false;
      }
   if(ObjectFind("P_Rev2")!=-1){
      if(ObjectGet("P_Rev2",OBJPROP_COLOR)==CL_FlagOn) Reverse2=true;
      if(ObjectGet("P_Rev2",OBJPROP_COLOR)==CL_FlagOff) Reverse2=false;
      }
   if(ObjectFind("P_Conf")!=-1){
      if(ObjectGet("P_Conf",OBJPROP_COLOR)==CL_FlagOn) UseConfirm=true;
      if(ObjectGet("P_Conf",OBJPROP_COLOR)==CL_FlagOff) UseConfirm=false;
      }
   StrReadPresets();
   return;
   }
bool UserConf(string Text,string Cap){
   if(UseConfirm==false) return(true);
   if(UseSound==true) PlaySound(SND_Confirm);
   if(MessageBox(Text,Cap,0x00000001)==1) return(true);
   return(false);
   }
//+----------------------------------------------+
//|                     Copyright  2011, Evgeno |
//|                    http://fx500.ru/silverfox |
//+----------------------------------------------+

